package javax.naming;

import java.util.Hashtable;

public interface Context
{
    public static final String INITIAL_CONTEXT_FACTORY = "java.naming.factory.initial";
    public static final String OBJECT_FACTORIES = "java.naming.factory.object";
    public static final String STATE_FACTORIES = "java.naming.factory.state";
    public static final String URL_PKG_PREFIXES = "java.naming.factory.url.pkgs";
    public static final String PROVIDER_URL = "java.naming.provider.url";
    public static final String DNS_URL = "java.naming.dns.url";
    public static final String AUTHORITATIVE = "java.naming.authoritative";
    public static final String BATCHSIZE = "java.naming.batchsize";
    public static final String REFERRAL = "java.naming.referral";
    public static final String SECURITY_PROTOCOL = "java.naming.security.protocol";
    public static final String SECURITY_AUTHENTICATION = "java.naming.security.authentication";
    public static final String SECURITY_PRINCIPAL = "java.naming.security.principal";
    public static final String SECURITY_CREDENTIALS = "java.naming.security.credentials";
    public static final String LANGUAGE = "java.naming.language";
    public static final String APPLET = "java.naming.applet";
    
    public abstract Object lookup(Name p0) throws NamingException;
    
    public abstract Object lookup(String p0) throws NamingException;
    
    public abstract void bind(Name p0, Object p1) throws NamingException;
    
    public abstract void bind(String p0, Object p1) throws NamingException;
    
    public abstract void rebind(Name p0, Object p1) throws NamingException;
    
    public abstract void rebind(String p0, Object p1) throws NamingException;
    
    public abstract void unbind(Name p0) throws NamingException;
    
    public abstract void unbind(String p0) throws NamingException;
    
    public abstract void rename(Name p0, Name p1) throws NamingException;
    
    public abstract void rename(String p0, String p1) throws NamingException;
    
    public abstract NamingEnumeration<NameClassPair> list(Name p0) throws NamingException;
    
    public abstract NamingEnumeration<NameClassPair> list(String p0) throws NamingException;
    
    public abstract NamingEnumeration<Binding> listBindings(Name p0) throws NamingException;
    
    public abstract NamingEnumeration<Binding> listBindings(String p0) throws NamingException;
    
    public abstract void destroySubcontext(Name p0) throws NamingException;
    
    public abstract void destroySubcontext(String p0) throws NamingException;
    
    public abstract Context createSubcontext(Name p0) throws NamingException;
    
    public abstract Context createSubcontext(String p0) throws NamingException;
    
    public abstract Object lookupLink(Name p0) throws NamingException;
    
    public abstract Object lookupLink(String p0) throws NamingException;
    
    public abstract NameParser getNameParser(Name p0) throws NamingException;
    
    public abstract NameParser getNameParser(String p0) throws NamingException;
    
    public abstract Name composeName(Name p0, Name p1) throws NamingException;
    
    public abstract String composeName(String p0, String p1) throws NamingException;
    
    public abstract Object addToEnvironment(String p0, Object p1) throws NamingException;
    
    public abstract Object removeFromEnvironment(String p0) throws NamingException;
    
    public abstract Hashtable<?, ?> getEnvironment() throws NamingException;
    
    public abstract void close() throws NamingException;
    
    public abstract String getNameInNamespace() throws NamingException;
}
